Apache C++ Standard Library Reference Guide

## <iomanip>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<iomanip>` is part of the Input/output library of the C++ Standard Library. It defines the manipulator functions `resetiosflags()`, `setiosflags()`, `setbase()`, `setfill()`, `setprecision()`, and `setw()`. These functions may be conveniently used by C++ programs to affect the state of iostream objects.

### Synopsis

    namespace std {
        //  Types  T1,  T2, ... are unspecified
        //  implementation types
        T1 resetiosflags(ios_base::fmtflags mask);
        T2 setiosflags(ios_base::fmtflags mask);
        T3 setbase(int base);
        template<charT> T4 setfill(charT c);
        T5 setprecision(int n);
        T6 setw(int n);
    }

### See Also

ios_base

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.6.3